Package de.tudresden.ws.container

## Class SumoStopFlags

- java.lang.Object
- - de.tudresden.sumo.objects.SumoStopFlags
  - - de.tudresden.ws.container.SumoStopFlags

- All Implemented Interfaces:
    `SumoObject`

      public class SumoStopFlags
      extends SumoStopFlags

  Deprecated.
  use package `de.tudresden.sumo.objects` instead.
  Author:
    Mario Krumnow

- - ### Field Summary

    - ### Fields inherited from class de.tudresden.sumo.objects.SumoStopFlags

      `containerTriggered, isBusStop, isChargingStationStop, isContainerStop, isParkingAreaStop, parking, stopped, triggered`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SumoStopFlags​(boolean parking, boolean triggered, boolean containerTriggered, boolean isBusStop, boolean isContainerStop, boolean isChargingStationStop, boolean isParkingAreaStop)` | Deprecated.
    `SumoStopFlags​(byte id)` | Deprecated.

  - ### Method Summary

    - ### Methods inherited from class de.tudresden.sumo.objects.SumoStopFlags

      `getID`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SumoStopFlags

          public SumoStopFlags​(boolean parking,
                               boolean triggered,
                               boolean containerTriggered,
                               boolean isBusStop,
                               boolean isContainerStop,
                               boolean isChargingStationStop,
                               boolean isParkingAreaStop)

      Deprecated.

    - #### SumoStopFlags

          public SumoStopFlags​(byte id)

      Deprecated.